#
# Conditional build:
%bcond_with	arts	# with aRts support
%bcond_without	oss	# without OSS drivers support
%bcond_without	alsa	# without ALSA support
#
Summary:	Trax Sequencer Engine
Summary(pl.UTF-8):	Silnik sekwencera Trax
Name:		tse3
Version:	0.3.1
Release:	2
License:	GPL
Group:		Applications/Sound
Source0:	http://downloads.sourceforge.net/tse3/%{name}-%{version}.tar.gz
# Source0-md5:	3b7e35505160e2d761e5b43abb636f3c
Patch0:		%{name}-alsa1_0.patch
Patch1:		%{name}-types.patch
Patch2:		%{name}-gcc4.patch
Patch3:		%{name}-awe_voice.patch
Patch4:		gcc.patch
URL:		http://tse3.sourceforge.net/
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 1.0}
%{?with_arts:BuildRequires:	arts-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TSE3 is a powerful open source sequencer engine written in C++. It is
a 'sequencer engine' because it provides the actual driving force
elements of a sequencer but provides no form of fancy interface.
Sequencer applications or multimedia presentation packages will
incorporate the TSE3 libraries to provide a user with MIDI sequencing
facilities.

%description -l pl.UTF-8
TSE3 jest potężnym silnikiem sekwencera napisanym w C++ z
wolnodostępnymi źródłami. Jest to "silnik sekwencera", ponieważ
dostarcza właściwe elementy "napędzające" sekwencer, ale nie
zawiera żadnego ładnego interfejsu. Aplikacje sekwencera lub
prezentacji multimedialnych mogą korzystać z bibliotek TSE3, aby
dostarczyć użytkownikowi możliwości sekwencera MIDI.

%package devel
Summary:	Tse3 header files
Summary(pl.UTF-8):	Pliki nagłówkowe tse3
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_alsa:Requires:	alsa-lib-devel >= 1.0}
%{?with_arts:Requires:	arts-devel}
Requires:	libstdc++-devel

%description devel
Tse3 header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe tse3.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_arts:--without-aRts} \
	%{!?with_alsa:--without-alsa} \
	%{!?with_oss:--without-oss} \
	--without-win32
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/songs

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp demos/*.tse3 $RPM_BUILD_ROOT%{_datadir}/%{name}/songs

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_prefix}/doc/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/{*.html,*.png,*.gif} AUTHORS README
%attr(755,root,root) %{_bindir}/tse3play
%attr(755,root,root) %{_libdir}/libtse3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtse3.so.0
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/songs
%{_mandir}/man1/tse3play.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtse3.so
%{_libdir}/libtse3.la
%{_includedir}/tse3
%{_mandir}/man3/tse3.3*
%changelog
* Sun Jan 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tse3.git;a=log;h=master

* Sun Jan 26 2014 Jan Rękorajski <baggins@pld-linux.org> 19d147c
- disabled parallel build

* Fri Jan 17 2014 Jakub Bogusz <qboosh@pld-linux.org> f8b480e
- verbose bin, lib, include, man files
- cleanup

* Thu Jan 16 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 1ad680f
- added gcc.patch
- rel 2

* Thu Jan 16 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2733585
- compilation fixes.

* Fri Nov 30 2007 hawk <hawk@pld-linux.org> 4659f9e
- fixes building on newer libc headers where awe_voice.h is missing

* Fri Nov 30 2007 hawk <hawk@pld-linux.org> 863fbcb
- fixes building on gcc4

* Fri Nov 30 2007 hawk <hawk@pld-linux.org> dc81932
- replaced old patch (no longer necessary) with header path typo fix

* Fri Nov 30 2007 hawk <hawk@pld-linux.org> 9a0d197
- added awe_voice.h (fixes compilation on newer libc headers where this
  file was removed)
- added gcc4 fix

* Fri Nov 30 2007 hawk <hawk@pld-linux.org> 220b4a1
- updated to 0.3.1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 80f52a5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d097a30
- converted to UTF-8

* Wed Jul 20 2005 undefine <undefine@pld-linux.org> b42b042
- up to 0.3.0

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> 80b5f89
- spaces->tabs
- formatting

* Sat Aug 28 2004 Jakub Bogusz <qboosh@pld-linux.org> a5db8e0
- added types patch, strict internal dep

* Sat Aug 28 2004 Jakub Bogusz <qboosh@pld-linux.org> 3d700ff
- fix build with size_t != unsigned int

* Sat Aug 28 2004 Jacek Konieczny <jajcus@pld-linux.org> b70b172
- ALSA 1.0 support

* Sat Aug 28 2004 Jacek Konieczny <jajcus@pld-linux.org> 4450c39
- ALSA 1.0 patch for TSE3

* Wed Nov 19 2003 Jakub Bogusz <qboosh@pld-linux.org> 3795cfe
- new-style, fixed bconds (and oss on by default), -devel deps

* Tue Aug 12 2003 ankry <ankry@pld-linux.org> bdf4d0e
- cosmetics

* Tue Jun 24 2003 Jakub Bogusz <qboosh@pld-linux.org> d766008
- longer pl, missing dir, BR: ac,am,lt

